org.apache.ignite.internal.igfs.common

## Class IgfsHandshakeRequest

- java.lang.Object
- - org.apache.ignite.internal.igfs.common.IgfsMessage
  - - org.apache.ignite.internal.igfs.common.IgfsHandshakeRequest

    public class IgfsHandshakeRequest
    extends IgfsMessage

Handshake request.

### Constructor Summary

Constructors
Constructor and Description
`IgfsHandshakeRequest()`

### Method Summary

Methods
`IgfsIpcCommand` `command()`
`void` `command(IgfsIpcCommand cmd)`
`String` `gridName()`
`void` `gridName(String gridName)`
`String` `igfsName()`
`void` `igfsName(String igfsName)`
`String` `logDirectory()`
`void` `logDirectory(String logDir)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsHandshakeRequest

    public IgfsHandshakeRequest()

### Method Detail

#### command

    public IgfsIpcCommand command()

Overrides:
  `command` in class `IgfsMessage`
Returns:
  Command.

#### command

    public void command(IgfsIpcCommand cmd)

Overrides:
  `command` in class `IgfsMessage`
Parameters:
  `cmd` - Command.

#### gridName

    public String gridName()

Returns:
  Grid name.

#### gridName

    public void gridName(String gridName)

Parameters:
  `gridName` - Grid name.

#### igfsName

    public String igfsName()

Returns:
  IGFS name.

#### igfsName

    public void igfsName(String igfsName)

Parameters:
  `igfsName` - IGFS name.

#### logDirectory

    public String logDirectory()

Returns:
  Log directory.

#### logDirectory

    public void logDirectory(String logDir)

Parameters:
  `logDir` - Log directory.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015